/*****************************************************************************/
/* Copyright (C) 2003-2009, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/*                                                                           */
/*  This file is part of the JRS MPEG-7 Library.                             */
/*  http://mpeg-7.joanneum.at                                                */
/*                                                                           */
/*  JRS MPEG-7 Library is free software: you can redistribute it and/or      */
/*  modify it under the terms of the GNU Lesser General Public License       */
/*  (LGPL) as published by the Free Software Foundation, either version 3    */
/*  of the License, or (at your option) any later version.                   */
/*                                                                           */
/*  JRS MPEG-7 Library is distributed in the hope that it will be useful,    */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of           */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the             */
/*  GNU Lesser General Public License for more details.                      */
/*                                                                           */
/*  You should have received a copy of the GNU Lesser General Public License */
/*  along with this library. If not, see <http://www.gnu.org/licenses/>.     */
/*****************************************************************************/



#ifndef _2371MP7JRSTEMPORALINTERPOLATIONTYPE_INTERPOLATIONFUNCTIONS_KEYVALUE_TYPE_LOCALTYPE_H
#define _2371MP7JRSTEMPORALINTERPOLATIONTYPE_INTERPOLATIONFUNCTIONS_KEYVALUE_TYPE_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsTemporalInterpolationType_InterpolationFunctions_KeyValue_type_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsTemporalInterpolationType_InterpolationFunctions_KeyValue_type_LocalType<br>
 * Located at: mpeg7-2004.xsd, line 272<br>
 * Enumerations: <br>
 * startPoint (mapped to XML startPoint) <br>
 * firstOrder (mapped to XML firstOrder) <br>
 * secondOrder (mapped to XML secondOrder) <br>
 * notDetermined (mapped to XML notDetermined) <br>
 */
class MP7JRS_EXPORT Mp7JrsTemporalInterpolationType_InterpolationFunctions_KeyValue_type_LocalType
{
public:
	/** Mp7JrsTemporalInterpolationType_InterpolationFunctions_KeyValue_type_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		startPoint, // Mapped to startPoint
		firstOrder, // Mapped to firstOrder
		secondOrder, // Mapped to secondOrder
		notDetermined, // Mapped to notDetermined
	};
	

// no includefile for extension defined 
// file Mp7JrsTemporalInterpolationType_InterpolationFunctions_KeyValue_type_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsTemporalInterpolationType_InterpolationFunctions_KeyValue_type_LocalType::Enumeration item);
	static Mp7JrsTemporalInterpolationType_InterpolationFunctions_KeyValue_type_LocalType::Enumeration Parse(const XMLCh * const txt);

  static const XMLCh * nsURI(); // For namespace handling

// no includefile for extension defined 
// file Mp7JrsTemporalInterpolationType_InterpolationFunctions_KeyValue_type_LocalType_ExtPropDef.h



};
#endif // _2371MP7JRSTEMPORALINTERPOLATIONTYPE_INTERPOLATIONFUNCTIONS_KEYVALUE_TYPE_LOCALTYPE_H
