/*****************************************************************************/
/* Copyright (C) 2003-2009, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/*                                                                           */
/*  This file is part of the JRS MPEG-7 Library.                             */
/*  http://mpeg-7.joanneum.at                                                */
/*                                                                           */
/*  JRS MPEG-7 Library is free software: you can redistribute it and/or      */
/*  modify it under the terms of the GNU Lesser General Public License       */
/*  (LGPL) as published by the Free Software Foundation, either version 3    */
/*  of the License, or (at your option) any later version.                   */
/*                                                                           */
/*  JRS MPEG-7 Library is distributed in the hope that it will be useful,    */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of           */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the             */
/*  GNU Lesser General Public License for more details.                      */
/*                                                                           */
/*  You should have received a copy of the GNU Lesser General Public License */
/*  along with this library. If not, see <http://www.gnu.org/licenses/>.     */
/*****************************************************************************/



#ifndef _1061MP7JRSINKMEDIAINFORMATIONTYPE_HANDEDNESS_LOCALTYPE_H
#define _1061MP7JRSINKMEDIAINFORMATIONTYPE_HANDEDNESS_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsInkMediaInformationType_Handedness_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsInkMediaInformationType_Handedness_LocalType<br>
 * Located at: mpeg7-2004.xsd, line 6365<br>
 * Enumerations: <br>
 * left (mapped to XML left) <br>
 * right (mapped to XML right) <br>
 * others (mapped to XML others) <br>
 */
class MP7JRS_EXPORT Mp7JrsInkMediaInformationType_Handedness_LocalType
{
public:
	/** Mp7JrsInkMediaInformationType_Handedness_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		left, // Mapped to left
		right, // Mapped to right
		others, // Mapped to others
	};
	

// no includefile for extension defined 
// file Mp7JrsInkMediaInformationType_Handedness_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsInkMediaInformationType_Handedness_LocalType::Enumeration item);
	static Mp7JrsInkMediaInformationType_Handedness_LocalType::Enumeration Parse(const XMLCh * const txt);

  static const XMLCh * nsURI(); // For namespace handling

// no includefile for extension defined 
// file Mp7JrsInkMediaInformationType_Handedness_LocalType_ExtPropDef.h



};
#endif // _1061MP7JRSINKMEDIAINFORMATIONTYPE_HANDEDNESS_LOCALTYPE_H
